## ros-humble-play-motion2-msgs 0.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(play_motion2_msgs)

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "action/PlayMotion2.action"
  "srv/IsMotionReady.srv"
  "srv/ListMotions.srv"
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-play-motion2-msgs (0.0.9-1jammy) jammy; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 05 Jul 2023 00:00:00 -0000

ros-humble-play-motion2-msgs (0.0.8-1jammy) jammy; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 22 May 2023 00:00:00 -0000

ros-humble-play-motion2-msgs (0.0.7-1jammy) jammy; urgency=high

  * add linters properly for interfaces
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-play-motion2-msgs (0.0.6-1jammy) jammy; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 20 Mar 2023 00:00:00 -0000

ros-humble-play-motion2-msgs (0.0.5-1jammy) jammy; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 01 Mar 2023 00:00:00 -0000

ros-humble-play-motion2-msgs (0.0.4-1jammy) jammy; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Thu, 23 Feb 2023 00:00:00 -0000

ros-humble-play-motion2-msgs (0.0.3-1jammy) jammy; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 15 Feb 2023 00:00:00 -0000

ros-humble-play-motion2-msgs (0.0.2-1jammy) jammy; urgency=high

  * Merge branch 'add_missing_dependency' into 'humble-devel'
    add missing dependency action_msgs
    See merge request app-tools/play_motion2!12
  * add missing dependency action_msgs
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-play-motion2-msgs (0.0.1-1jammy) jammy; urgency=high

  * Merge branch 'syntax_fixes' into 'humble-devel'
    fix eol and rm whitespaces
    See merge request app-tools/play_motion2!5
  * fix eol and remove whitespace
  * Merge branch 'jtc_motions' into 'humble-devel'
    New PlayMotion2 action: Manage requests and tests
    See merge request app-tools/play_motion2!3
  * new srv IsMotionReady
  * PlayMotion2 action
  * Merge branch 'first_version' into 'humble-devel'
    First version of PlayMotion2 - parse motions
    See merge request app-tools/play_motion2!1
  * ListMotions service
  * new play_motion2_msgs package
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

=== debian/control ===
Source: ros-humble-play-motion2-msgs
Section: misc
Priority: optional
Maintainer: Noel Jimenez <noel.jimenez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-play-motion2-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
Description: Play a pre-recorded motion on a robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-play-motion2-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-play-motion2-msgs 1.3.0

=== debian/changelog ===
ros-humble-play-motion2-msgs (1.3.0-1bookworm) bookworm; urgency=high

  * Create services to add and remove motions
  * Add service to get the info of a motion
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 09 Sep 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (1.2.0-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Thu, 08 Aug 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (1.1.2-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 03 Jul 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (1.1.1-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Thu, 25 Apr 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (1.1.0-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 02 Apr 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (1.0.1-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 06 Mar 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (1.0.0-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 27 Feb 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.15-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 14 Jan 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.14-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.13-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 13 Dec 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.12-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.11-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.10-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 01 Oct 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.9-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 04 Jul 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.8-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 21 May 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.7-1bookworm) bookworm; urgency=high

  * add linters properly for interfaces
  * Contributors: Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 16 Apr 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.6-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Sun, 19 Mar 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.5-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 28 Feb 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.4-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Wed, 22 Feb 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.3-1bookworm) bookworm; urgency=high



 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 14 Feb 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.2-1bookworm) bookworm; urgency=high

  * Merge branch 'add_missing_dependency' into 'humble-devel'
    add missing dependency action_msgs
    See merge request app-tools/play_motion2!12
  * add missing dependency action_msgs
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 07 Feb 2023 16:00:00 -0000

ros-humble-play-motion2-msgs (0.0.1-1bookworm) bookworm; urgency=high

  * Merge branch 'syntax_fixes' into 'humble-devel'
    fix eol and rm whitespaces
    See merge request app-tools/play_motion2!5
  * fix eol and remove whitespace
  * Merge branch 'jtc_motions' into 'humble-devel'
    New PlayMotion2 action: Manage requests and tests
    See merge request app-tools/play_motion2!3
  * new srv IsMotionReady
  * PlayMotion2 action
  * Merge branch 'first_version' into 'humble-devel'
    First version of PlayMotion2 - parse motions
    See merge request app-tools/play_motion2!1
  * ListMotions service
  * new play_motion2_msgs package
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Noel Jimenez <noel.jimenez@pal-robotics.com>  Tue, 07 Feb 2023 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Noel Jimenez <noel.jimenez@pal-robotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
-Homepage: 
+Homepage: https://github.com/pal-robotics/play_motion2
 Standards-Version: 3.9.2
 
 Package: ros-humble-play-motion2-msgs

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-play-motion2-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-play-motion2-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-play-motion2-msgs//opt/ros/humble/opt/play_motion2_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
